Name:		freedroid
Version:	1.2.3
Release:	%mkrel 1
Summary:	Clone of the C64 Game Paradroid
License:	GPL-2.0-or-later
Group:		Games/Arcade
URL:		https://github.com/ReinhardPrix/FreedroidClassic/

Source0:	%{URL}archive/%{name}-%{version}.apk/%{name}-%{version}.apk.tar.gz
Source1:	https://freedroid.sourceforge.net/Freedroid_Manual.ps.bz2

Patch0:		0000-vorbisfile.patch

BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(vorbis)

%description
This is a clone of the classic game "Paradroid" on Commodore 64
with some improvements and extensions to the classic version.

In this game, you control a robot, depicted by a small white ball with
a few numbers within an interstellar spaceship consisting of several
decks connected by elevators.

The aim of the game is to destroy all enemy robots, depicted by small
black balls with a few numbers, by either shooting them or seizing
control over them by creating connections in a short subgame of
electric circuits.

%prep
%autosetup -p1 -n FreedroidClassic-%{name}-%{version}.apk

cp %SOURCE1 .

%build
./autogen.sh

%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Freedroid
Comment=Clone of the C64 Game Paradroid
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -Dpm 644 graphics/paraicon_48x48.png \
  %{buildroot}%{_iconsdir}/hicolor/48x48/apps/freedroid.png


%files
%license COPYING
%doc README AUTHORS ChangeLog NEWS Freedroid_Manual.ps.bz2
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/freedroid.png


%changelog
* Mon Jan 27 2025 daviddavid <daviddavid> 1.2.3-1.mga10
+ Revision: 2142756
- new version: 1.2.3 (from https://github.com/ReinhardPrix/FreedroidClassic)

* Thu May 16 2024 daviddavid <daviddavid> 1.0.2-25.mga10
+ Revision: 2064443
- fix C99 compatibility issues

* Sat Feb 03 2024 daviddavid <daviddavid> 1.0.2-24.mga10
+ Revision: 2036896
- rebuild to re-introduce freedroid in distro

* Fri Apr 01 2022 umeabot <umeabot> 1.0.2-23.mga9
+ Revision: 1839843
- Mageia 9 Mass Rebuild

* Thu Jul 09 2020 ovitters <ovitters> 1.0.2-22.mga8
+ Revision: 1603625
- drop Mageia specific category from desktop file (mga#2449)

* Tue May 19 2020 danf <danf> 1.0.2-21.mga8
+ Revision: 1586185
- Fix multiple definition error on gcc 10

* Wed Apr 15 2020 danf <danf> 1.0.2-20.mga8
+ Revision: 1567463
- Fix Comment= in .desktop file to stop referring to debug sources

* Thu Feb 13 2020 umeabot <umeabot> 1.0.2-19.mga8
+ Revision: 1512328
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-18.mga7
+ Revision: 1297766
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 1.0.2-17.mga7
+ Revision: 1238116
- fix build on aarch64

* Fri Feb 05 2016 umeabot <umeabot> 1.0.2-16.mga6
+ Revision: 938676
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-15.mga5
+ Revision: 746035
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-14.mga5
+ Revision: 679333
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-13.mga4
+ Revision: 529955
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 danf <danf> 1.0.2-12.mga4
+ Revision: 454482
- remove extraneous Makefiles from package
- fixed RPM Summary and Comment in .desktop file
- removed StartupNotify=true in .desktop file

* Sat Mar 23 2013 wally <wally> 1.0.2-11.mga3
+ Revision: 404659
- fix desktop file name

* Fri Jan 11 2013 umeabot <umeabot> 1.0.2-10.mga3
+ Revision: 350832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 obgr_seneca <obgr_seneca> 1.0.2-9.mga2
+ Revision: 179589
- imported package freedroid


* Fri Dec 09 2011 Oliver Burger <oliver.bgr@googlemail.com> 1.0.2-9.mga2
- rebuild for Mageia2
- cleaned spec

* Thu Jul 23 2009 Götz Waschk <waschk@mandriva.org> 1.0.2-8mdv2010.0
+ Revision: 398785
- fix format strings
- update license

* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-7mdv2009.0
+ Revision: 240721
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 1.0.2-5mdv2008.0
+ Revision: 71620
- Import freedroid



* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 1.0.2-5mdv2007.0
- fix vorbis detection
- fix buildrequires
- xdg menu

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.0.2-4mdk
- Rebuild

* Fri Dec  3 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.2-3mdk
- rebuild

* Thu Nov 27 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-2mdk
- remove macosx devel files
- macroized

* Thu Nov 27 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- cosmetics

* Tue May  6 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- add the man page
- new version

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-5mdk
- fix buildrequires

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-4mdk
- fix distriblint warning

* Sat Apr 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.4-3mdk
- dropped Prefix tag
- compile with $RPM_OPT_FLAGS
- added icons

* Fri Dec 20 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- add the manual to the docs

* Fri Dec 20 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- initial package
